std::__atomic_base< _PTp * > Struct Template Reference
Atomics

## Public Member Functions

| __atomic_base (const __atomic_base &)=delete
constexpr | __atomic_base (__pointer_type __p) noexcept
| __attribute__ ((always_inline)) void store(__pointer_type __p
bool | is_lock_free () const noexcept
bool | is_lock_free () const volatilenoexcept
| operator __pointer_type () const noexcept
| operator __pointer_type () const volatilenoexcept
__pointer_type | operator++ (int) noexcept
__pointer_type | operator++ (int) volatilenoexcept
__pointer_type | operator++ () noexcept
__pointer_type | operator++ () volatilenoexcept
__pointer_type | operator+= (ptrdiff_t __d) noexcept
__pointer_type | operator+= (ptrdiff_t __d) volatilenoexcept
__pointer_type | operator-- (int) noexcept
__pointer_type | operator-- (int) volatilenoexcept
__pointer_type | operator-- () noexcept
__pointer_type | operator-- () volatilenoexcept
__pointer_type | operator-= (ptrdiff_t __d) noexcept
__pointer_type | operator-= (ptrdiff_t __d) volatilenoexcept
__atomic_base & | operator= (const __atomic_base &)=delete
__atomic_base & | operator= (const __atomic_base &) volatile=delete
__pointer_type | operator= (__pointer_type __p) noexcept
__pointer_type | operator= (__pointer_type __p) volatilenoexcept

## Detailed Description

### template<typename _PTp>
struct std::__atomic_base< _PTp * >

Partial specialization for pointer types.

Definition at line 669 of file atomic_base.h.

The documentation for this struct was generated from the following file:

- atomic_base.h